Package com.enonic.xp.region

## Class PartComponent.Builder

- java.lang.Object
- - com.enonic.xp.region.Component.Builder
  - - com.enonic.xp.region.DescriptorBasedComponent.Builder
    - - com.enonic.xp.region.PartComponent.Builder

- Enclosing class:
    PartComponent

      public static class PartComponent.Builder
      extends DescriptorBasedComponent.Builder

- - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.region.DescriptorBasedComponent.Builder

      `config, descriptor`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PartComponent` | `build()` |
    `PartComponent.Builder` | `config​(PropertyTree config)` |
    `PartComponent.Builder` | `descriptor​(DescriptorKey value)` |
    `PartComponent.Builder` | `descriptor​(String value)` |
    `PartComponent.Builder` | `name​(ComponentName value)` | Deprecated.
    `PartComponent.Builder` | `name​(String value)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          @Deprecated
          public PartComponent.Builder name​(ComponentName value)

      Deprecated.
      Overrides:
        `name` in class `DescriptorBasedComponent.Builder`

    - #### name

          @Deprecated
          public PartComponent.Builder name​(String value)

      Deprecated.

    - #### descriptor

          public PartComponent.Builder descriptor​(DescriptorKey value)

      Overrides:
        `descriptor` in class `DescriptorBasedComponent.Builder`

    - #### descriptor

          public PartComponent.Builder descriptor​(String value)

    - #### config

          public PartComponent.Builder config​(PropertyTree config)

      Overrides:
        `config` in class `DescriptorBasedComponent.Builder`

    - #### build

          public PartComponent build()